/*
versio    1.0
yritys    Tietomato Oy
tekij    Tapio Lehtimki
			
asiakas   MikroBitti-lehti 

Javan luokasta "JPanel" periytetty painikevalikko. Painikkeet "Aloita" ja "Lopeta".

Historia
04.10.2002  T~L Luonti	
*/

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;

public class ButtonPanel extends JPanel 
{ 
	private JButton CmdStart;
	private JButton CmdKill;	
	
	/* 
	********************************************************************************
	Konstruktori 
	********************************************************************************
	*/
	public ButtonPanel(ActionListener listener)
	{	
		setLayout(new GridLayout(2, 1, 10, 10));
		
		CmdStart = new JButton("Aloita");
		CmdStart.addActionListener(listener);
		CmdStart.setActionCommand(Constants.S_CMD_START);	
		add(CmdStart);
		
		CmdKill = new JButton("Lopeta");
		CmdKill.addActionListener(listener);
		CmdKill.setActionCommand(Constants.S_CMD_KILL);	
		add(CmdKill);
		
		setBackground(Color.pink);		
		setEtchedBorder();
	}
	
	
	/* 
	********************************************************************************
	Raamit tuovat vljyytt painikkeiden asetteluun
	********************************************************************************
	*/			
	private void setEtchedBorder()
	{ 
		Border brdInner = BorderFactory.createEmptyBorder(5, 5, 5, 5);
		Border brdEtched = BorderFactory.createEtchedBorder();
		Border brdCompound = BorderFactory.createCompoundBorder(brdEtched, brdInner);	
		setBorder(brdCompound);		
	}	
  
} //END	