/*

versio    1.0
yritys    Tietomato Oy
tekij    Tapio Lehtimki
			
asiakas   MikroBitti-lehti 

PopupPri

Ponnahdusvalikko filosofisikeiden prioriteettien muuttamista varten.

Historia
21.10.2002  T~L Creation	
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class PopupPri extends JPopupMenu implements ActionListener
{ 
  private PopListener Listener;
  private int PhilosopherInd = 0;
  private JLabel LblName = new JLabel();
  private JRadioButtonMenuItem Pri1;
  private JRadioButtonMenuItem Pri2;
  private JRadioButtonMenuItem Pri3;
  private JRadioButtonMenuItem Pri4;
  private JRadioButtonMenuItem Pri5;
  private JRadioButtonMenuItem Pri6;
  private JRadioButtonMenuItem Pri7;
  private JRadioButtonMenuItem Pri8;
  private JRadioButtonMenuItem Pri9;
  
	/* 
	********************************************************************************
	Konstruktori
	********************************************************************************
	*/	
	public PopupPri(PopListener listener)
	{
    Listener = listener;
    add(LblName);
    setToolTipText("Sikeen prioriteetti");
    ButtonGroup group = new ButtonGroup(); 
    Pri1 = new JRadioButtonMenuItem("1"); 
    Pri2 = new JRadioButtonMenuItem("2"); 
    Pri3 = new JRadioButtonMenuItem("3");  
    Pri4 = new JRadioButtonMenuItem("4"); 
    Pri5 = new JRadioButtonMenuItem("5"); 
    Pri6 = new JRadioButtonMenuItem("6"); 
    Pri7 = new JRadioButtonMenuItem("7"); 
    Pri8 = new JRadioButtonMenuItem("8"); 
    Pri9 = new JRadioButtonMenuItem("9"); 
    Pri4.setSelected(true);
    Pri1.addActionListener(this);
    Pri2.addActionListener(this);
    Pri3.addActionListener(this);
    Pri4.addActionListener(this);
    Pri5.addActionListener(this);
    Pri6.addActionListener(this);
    Pri7.addActionListener(this);
    Pri8.addActionListener(this);
    Pri9.addActionListener(this);
    group.add(Pri1);  
    group.add(Pri2);    
    group.add(Pri3);  
    group.add(Pri4);   
    group.add(Pri5);  
    group.add(Pri6);    
    group.add(Pri7);  
    group.add(Pri8);  
    group.add(Pri9); 
    add(Pri1);
    add(Pri2);    
    add(Pri3);  
    add(Pri4);   
    add(Pri5);  
    add(Pri6);    
    add(Pri7);  
    add(Pri8);  
    add(Pri9); 
	}
  
	/* 
	********************************************************************************
	Ominaisuuksien asetusmetodit
	********************************************************************************
	*/	
  public void setName(String value)
  {
    LblName.setText(value);
  }

  public void setPhilosopherInd(int value)
  {
    PhilosopherInd = value;
  } 
 
  public void setPri(int value)
  {
    if (value == 1) 
    {Pri1.setSelected(true);}
    else if (value == 2) 
    {Pri2.setSelected(true);}
    else if (value == 3) 
    {Pri3.setSelected(true);}
    else if (value == 4) 
    {Pri4.setSelected(true);}
    else if (value == 5) 
    {Pri5.setSelected(true);}
    else if (value == 6) 
    {Pri6.setSelected(true);}
    else if (value == 7) 
    {Pri7.setSelected(true);}
    else if (value == 8) 
    {Pri8.setSelected(true);}
    else if (value == 9) 
    {Pri9.setSelected(true);}
  }
  
  /* 
  ********************************************************************************
  ActionListener-liittymmetodi
  ********************************************************************************
  */		
  public void actionPerformed(ActionEvent evt)
  {
    int nPri = 0;

    if (Pri1.isSelected())
    {nPri = 1;}
    else if (Pri2.isSelected())
    {nPri = 2;}
    else if (Pri3.isSelected())
    {nPri = 3;}
    else if (Pri4.isSelected())
    {nPri = 4;}
    else if (Pri5.isSelected())
    {nPri = 5;}  
    else if (Pri6.isSelected())
    {nPri = 6;}
    else if (Pri7.isSelected())
    {nPri = 7;}
    else if (Pri8.isSelected())
    {nPri = 8;}
    else if (Pri9.isSelected())
    {nPri = 9;}    

    Listener.setPri(PhilosopherInd, nPri);
  }
}	